@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* todo corpo */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Poppins, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

body {
  min-height: 100vh;
  background-color: #ffffff;
}

/* Menu */
header {
  z-index: 999;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #fcfcfc;
  box-shadow: 0 5px 15px rgb(0 0 0 / 5%);
  padding: 0 70px;
  transition: 0.6s;
  height: 80px;
}

header .logo img {
  width: 60px;
  border: 2px solid #152941;
  border-radius: 50%;
}

header .navigation {
  position: relative;
  line-height: 75px;
  transition: 0.6s;
  transition-property: line-height;
}

header.sticky .navigation {
  line-height: 60px;
}

header .navigation .menu {
  position: relative;
  display: flex;
  justify-content: center;
  list-style: none;
  user-select: none;
  padding-top: 10px;
}

.menu-item a {
  color: #000000;
  font-size: 1em;
  font-weight: 500;
  text-decoration: none;
  margin: 20px;
  padding: 50px 0;
  text-align: left;
}

.menu-item a:hover {
  color: #000000;
  transition: 0.3s;
}

.menu-item .sub-menu {
  position: absolute;
  background: #ffffff;
  top: 70px;
  line-height: 40px;
  font-size: .9em;
  font-weight: 500;
  list-style: none;
  border-radius: 0 0 8px 8px;
  box-shadow: 0 5px 25px rgb(0 0 0 / 20%);
  pointer-events: none;
  transform: translateY(20px);
  opacity: 0;
  transition: 0.3s;
  transition-property: transform, opacity;
}

.menu-item .sub-menu .fas {
  font-size: .8em;
}

header.sticky .menu-item .sub-menu {
  top: 60px;
}

.menu-item:hover .sub-menu {
  pointer-events: all;
  transform: translateY(0);
  opacity: 1;
}

.menu-item .sub-menu .sub-item {
  position: relative;
  padding: 7px 0;
  cursor: pointer;
  box-shadow: inset 0px -30px 1px -30px rgba(0, 0, 0, 0.568);
}

.menu-item .sub-menu .sub-item a {
  color: #000000;
  font-size: 1em;
  text-decoration: none;
  padding: 15px 30px;
}

.menu-item .sub-menu .sub-item a:hover {
  color: #284258;
  font-size: 1.1em;
}

.menu-item .sub-menu .sub-item:last-child:hover {
  border-radius: 0 0 8px 8px;
}

.menu-btn {
  display: none;
}

.menu .entrar a {
  background-color: #ffffff;
  border: 2px solid #152941;
  padding: 5px 20px;
  color: #152941;
  font-weight: 600;
  border-radius: 5px;
  margin-left: 90px;
  text-decoration: none;
}

.menu .demo a {
  background-color: #152941;
  border: 2px solid #152941;
  padding: 5px 20px;
  color: #fff;
  font-weight: 500;
  border-radius: 5px;
  margin-left: 20px;
  text-decoration: none;
}

.close-btn {
  color: #fff;
  font-size: 2em;
  text-align: right;
  display: none;
}

.menu-btn {
  color: #000000;
  font-size: 2em;
  display: none;
}

/* Sub-Menu*/
.submenu {
  margin-top: 80px;
  background-color: #ffffff;
  height: 40px;
}

.submenus {
  padding-top: 5px;
}

.submenus a {
  color: #333333;
  font-size: 0.7em;
  text-decoration: none;
}

.submenus a:hover {
  color: #1b1b1b;
  font-size: 0.7em;
  text-decoration: none;
}

.submenus span {
  color: #a2a2a2;
  font-size: 0.8em;
  text-decoration: none;
}

.submenus .fa-angle-double-right {
  color: #929292;
  font-size: 0.7em;
  padding-top: 10px;
}

/* Rodapé */
footer {
  background-color: #182836;
  height: 280px;
}

.sec {
  padding-top: 30px;
  margin-right: 25px;
}

.sec img {
  width: 25%;
}

.sec p {
  color: #fff;
  padding-right: 20px;
  padding-top: 10px;
  font-size: .9em;
}

.contatos {
  line-height: 10px;
}

.contatos h5 {
  color: #fff;
  padding-top: 30px;
  padding-bottom: 10px;
  font-weight: 600;
}

.contatos a {
  color: #ffffff;
  text-decoration: none;
}

.contatos p {
  color: #ffffff;
  font-size: .9em;
}

.contatos .fas,
.far,
.bi {
  color: #fff;
}

.contatos .app {
  width: 150px;
}

.contatos .app img {
  width: 100%;
  padding-bottom: 10px;
}

.rede h5 {
  color: #fff;
  padding-top: 20px;
  padding-bottom: 10px;
  font-weight: 600;
}

.rede .fab {
  color: #000;
}

.rede .bi {
  color: #000;
}

.rede a {
  display: inline-block;
  height: 30px;
  width: 30px;
  background-color: #f9f9f9;
  margin: 0px;
  text-align: center;
  line-height: 30px;
  border-radius: 5px;
  transition: all 0.5s ease;
}

.rede a:hover {
  color: #24262b;
  background-color: #e4e4e4;
}

.rede p {
  margin-top: -11px;
  font-size: 1.2em;
  display: inline-flex;
  letter-spacing: 5px;
}

/* Desenvolvedor */
.developer {
  background-color: #02101c;
  height: 80px;
  text-align: center;
}

.developer p {
  color: #fff;
  font-size: .8em;
  padding-top: 25px;
}

.developer a {
  text-decoration: underline;
  color: #fff;
  font-weight: 600;
}

/* Modal */
.modal-header .close {
  font-size: 2em;
}

.modal {
  background-color: rgba(0, 0, 0, 0.721);
}

.modal-header {
  background: linear-gradient(96.49deg, #efefef 0%, #ffffff 102.71%);
  height: 50px;
}

.modal-header h6 {
  font-weight: 700;
}

.modal-header .close {
  margin-top: -20px;
}

.modal-body p {
  padding-top: 0px;
  color: #000;
}

.modal-body a {
  text-decoration: none;
  color: #000;
  line-height: 35px;
}

.modal-body .fas,
.fab {
  color: #224b64;
}


/* Tablet menu */
@media (max-width: 1060px) {
  header .navigation .menu {
    position: fixed;
    display: block;
    background: #182836;
    min-width: 380px;
    height: 100vh;
    top: 0;
    right: -100%;
    padding: 5px 20px;
    visibility: hidden;
    overflow-y: auto;
    transition: 0.5s;
    transition-property: right, visibility;
    padding-top: 0px;
  }

  header .logo img {
    width: 50px;
    border: 2px solid #213d4e;
    border-radius: 50%;
  }

  .menu-item a {
    color: #ffffff;
    font-size: 1em;
    text-decoration: none;
    margin: 10px;
    padding: 10px 0;
    text-align: left;
  }

  .menu-item a:hover {
    color: #fbfbfb;
    transition: 0.3s;
  }

  header.sticky .navigation {
    line-height: 75px;
  }

  header .navigation .menu.active {
    right: 0;
    visibility: visible;
  }

  .menu-item {
    position: relative;
  }

  .menu-item .sub-menu {
    opacity: 1;
    position: relative;
    top: 0;
    transform: translateX(10px);
    background: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
    overflow: hidden;
    display: none;
  }

  header.sticky .menu-item .sub-menu {
    top: 0;
  }

  .menu-item:hover .sub-menu {
    transform: translateX(10px);
  }

  .menu-item .sub-menu .sub-item a {
    box-shadow: none;
  }

  .menu-item .sub-menu .sub-item:hover {
    background: none;
  }

  .menu-item .sub-menu .sub-item a {
    color: #ffffff;
    transition: 0.3s;
  }

  .menu-item .sub-menu .sub-item a:hover {
    color: #ffffff;
    transition: 0.3s;
  }

  .close-btn {
    color: #fff;
    font-size: 2em;
    text-align: right;
    display: block;
  }

  .menu-btn {
    color: #000000;
    font-size: 2em;
    display: block;
  }

  .menu .entrar a {
    background-color: #ffffff;
    border: 2px solid #ffffff;
    padding: 10px 20px;
    border-radius: 5px;
    margin-left: 0px;
    text-decoration: none;
  }

  .menu .demo a {
    border: 2px solid #ffffff;
    padding: 10px 20px;
    color: #fff;
    border-radius: 5px;
    margin-left: 0px;
    text-decoration: none;
  }

  header {
    padding: 15px 20px;
  }

  header.sticky {
    padding: 10px 20px;
  }
}

/* Telemóvel - Smartphone */
@media(max-width: 768px) {

  /* Sub-Menu*/
  .submenu {
    margin-top: 70px;
    background-color: #ffffff;
    height: 35px;
  }

  .submenus {
    padding-top: 3px;
  }

  /* Rodapé */
  footer {
    height: auto;
  }

  .sec {
    padding-top: 30px;
    margin-right: 25px;
  }

  .sec p {
    color: #fff;
    padding-right: 0px;
    font-size: .9em;
  }

  .contatos {
    line-height: 10px;
  }

  .contatos h5 {
    color: #fff;
    padding-top: 30px;
    padding-bottom: 10px;
    font-weight: 600;
  }

  .contatos a {
    color: #ffffff;
    text-decoration: none;
  }

  .contatos p {
    color: #ffffff;
    font-size: .9em;
  }

  .contatos .fas,
  .far,
  .bi {
    color: #fff;
  }

  .contatos .app {
    width: 180px;
  }

  .contatos .app img {
    width: 100%;
    padding-bottom: 10px;
  }

  .rede h5 {
    color: #fff;
    padding-top: 20px;
    padding-bottom: 10px;
    font-weight: 600;
  }

  .rede a {
    color: #f8f8f8;
    text-decoration: none;
    margin-top: -20px;
    font-size: 1.2em;
  }

  .rede p {
    margin-top: -11px;
    font-size: 1.2em;
    display: inline-flex;
    letter-spacing: 5px;
  }

  /* Desenvolvedor */
  .developer {
  
    height: auto;
    text-align: left;
  }

  .developer p {
    color: #fff;
    font-size: .8em;
    padding-top: 15px;
    padding-bottom: 20px;
  }

}